Bug 1281730 - The storage packages should be installed during upgrade
The storage packages should be installed during upgrade
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Samuel Munilla
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 05:28 EST by Anping Li
Modified: 2016-09-07 17:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 17:29:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2015-11-13 05:28:54 EST
Description of problem:
For v3.1 new installation. The ceph and gluster packages were installed by default. so these packages need to be installed during upgrade.

Version-Release number of selected component (if applicable):
openshift-ansible-3.0.12-1

How reproducible:
always

Steps to Reproduce:
1. upgrade to v3.1
2. check the RPM packages.

Actual results:

The ceph and gluster packages wasn't installed.

Expected results:

The ceph and gluster packages should be installed by upgrade.

Additional info:
Comment 1 Anping Li 2016-01-28 01:43:46 EST
Both ceph and gluster packages aren't installed during upgrade.
Comment 2 Anping Li 2016-02-15 03:38:24 EST
This bug have been fixed in atomic-openshift-utils-3.0.40-1.git.22.da21865.el7aos.noarch. Could we move to ON_QA status? so I can perform a detail testing?
Comment 3 Anping Li 2016-02-16 23:56:10 EST
Verified and pass

Note You need to log in before you can comment on or make changes to this bug.